<?php
/* includes/plugins/agi_shopgate_plugin/version/105/api_plugin.php
.---------------------------------------------------------------------------.
|    Software: AGI Shopgate - JTL - Connector                               |
|     Version: 1.0                                                          |
|        Date: 2014-09-15                                                   |
|     Contact: info@andreas-guder.de                                        |
| ------------------------------------------------------------------------- |
|      Author: Andreas Guder                                                |
|     Contact: info@andreas-guder.de                                        |
| Copyright (c) 2013 Andreas Guder [info@andreas-guder.de]                  |
|               All Rights Reserved.                                        |
|                      Based on Shopgate Example-Plugin                     |
'--------------------------------------------------------------------------ö'
*/

require_once DIR_BASE_PATH.'/shopgate_library/shopgate.php';
require_once AGI_PLUGIN_PATH.'plugin.class.php';

class AGIShopgatePlugin extends AGIShopgatePluginBase
{
  /* called by $this->getCustomer(); */
  public function agiGetCustomerIndividualAddData($customer)
  {
    // add individual customer-data here
    return $customer; // return manipulated $customer-Object
  }
  
  /* called by $this->createItems(); after configuration is load */
  public function agiCreateItemsOnStart()
  {
    // empty
  }
  
  /* called by $this->createCategories(); */
  public function agiOverwriteCategoriesArray($aKategories, $limit=null, $offset=null, $uids=array())
  {
    return $aKategories; // return manipulated $aKategorie-Array
  }
  public function agiManipulateCategoriesArrayItem($aItem)
  {
    return $aItem; // return manipulated $aItem-Array
  }
  
  /* manipulate article item object $this->oExportArticle */
  public function agiManipulateItemObject()
  {
    // empty
  }
  
  /* called by $this->addOrder(); */
  public function agiAddOrderIndividual($order)
  {
    // do something
    // exit;
  }
  
  /* called by $this->updateOrder(); */
  public function agiUpdateOrderIndividual($order)
  {
    // do something
    // exit;
  }
  
  /* called by $this->registerCustomer(); */
  public function agiRegisterCustomerIndividual($user, $pass, $customer)
  {
    // do something
    // exit;
  }
  
  /* called by $this->checkStock(); */
  public function agiCheckStockIndividual($shopgateCart)
  {
    // do something
    // exit;
  }
  
  /* called by $this->checkCart(); */
  public function agiCheckCartIndividual($shopgateCart)
  {
    // do something
    // exit;
  }
  
  /* called by $this->redeemCoupons(); */
  public function agiRedeemCouponsIndividual($shopgateCart)
  {
    // do something
    // exit;
  }
}

$ShopgateFramework = new AGIShopgatePlugin();
$ShopgateFramework->handleRequest($_REQUEST);
?>