<?php
// Variablen die bei jedem Plugin existieren
// $GLOBALS['smarty']               Smarty Template Engine Object
// $GLOBALS['oPlugin']              Plugin Object
global $smarty, $oPlugin;
$loadOptions = array(
  'cTopArticleAsHighlight',
  'cInaktivStatusString',
  'nStandardVersandklasse',
  'cBestandspuffer',
  'cNehmeLieferzeit',
  'cSortArticle',
  'cSortArticleOrder',
  'cTopAtFirst',
  'cAttributeAnBeschreibung',
  'cAttributNichtExportieren',
  'cWrapAttributeAnBeschreibung',
  'cMerkmaleNichtExportieren'
);
$sLoadOptions = '';
foreach ($loadOptions as $value)
  $sLoadOptions .= empty($sLoadOptions) ? "'".$value."'" : ",'".$value."'";
  
require_once $oPlugin->cAdminmenuPfad . 'lib/functions.lib.php';

$aOptions = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `xplugin_".$oPlugin->cPluginID."_config` WHERE `cKey` IN ($sLoadOptions) ORDER BY `cKey`", 9);
foreach ($aRes as $row)
{
  $aOptions[$row['cKey']] = $row['cValue'];
}

$aVersandklassen = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `tversandklasse` ORDER BY `kVersandklasse`", 9);
foreach ($aRes as $row)
{
  $aVersandklassen[$row['kVersandklasse']] = $row;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['btn_save']) && $_GET['cPluginTab'] == 'Export-Einstellungen')
{
  if (isset($_POST['inputTopArticleAsHighlight']) && !empty($_POST['inputTopArticleAsHighlight']))
  {
    $tmp = $_POST['inputTopArticleAsHighlight'] == 'yes' ? 'Y' : 'N';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cTopArticleAsHighlight', $tmp);
    $aOptions['cTopArticleAsHighlight'] = $tmp;
  }
  if (isset($_POST['inputNehmeLieferzeit']) && !empty($_POST['inputNehmeLieferzeit']))
  {
    $possible = array('status','zeit','ampel','kombistatuszeit','kombiampelstatuszeit');
    $tmp = in_array($_POST['inputNehmeLieferzeit'], $possible) ? $_POST['inputNehmeLieferzeit'] : 'status';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cNehmeLieferzeit', $tmp);
    $aOptions['cNehmeLieferzeit'] = $tmp;
  }
  if (isset($_POST['inputStandardVersandklasse']) && !empty($_POST['inputStandardVersandklasse']))
  {
    $tmp = (string)$_POST['inputStandardVersandklasse'];
    $tmp = trim($tmp);
    if (array_key_exists($tmp, $aVersandklassen))
    {
      agi_plugin_saveConfig($oPlugin->cPluginID, 'nStandardVersandklasse', $tmp);
      $aOptions['nStandardVersandklasse'] = $tmp;
    }
  }
  if (isset($_POST['inputInaktivStatusString']))
  {
    $tmp = (string)$_POST['inputInaktivStatusString'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cInaktivStatusString', $tmp);
    $aOptions['cInaktivStatusString'] = $tmp;
  }
  if (isset($_POST['inputBestandspuffer']))
  {
    $tmp = (string)$_POST['inputBestandspuffer'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cBestandspuffer', $tmp);
    $aOptions['cBestandspuffer'] = $tmp;
  }
  if (isset($_POST['inputSortArticle']) && !empty($_POST['inputSortArticle']))
  {
    $allowed = array('nSort','cName','dErstellt','dLetzteAktualisierung');
    $tmp = in_array($_POST['inputSortArticle'], $allowed) ? $_POST['inputSortArticle'] : 'nSort';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cSortArticle', $tmp);
    $aOptions['cSortArticle'] = $tmp;
  }
  if (isset($_POST['inputSortArticleOrder']) && !empty($_POST['inputSortArticleOrder']))
  {
    $tmp = $_POST['inputSortArticleOrder'] == 'DESC' ? 'DESC' : 'ASC';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cSortArticleOrder', $tmp);
    $aOptions['cSortArticleOrder'] = $tmp;
  }
  if (isset($_POST['inputTopAtFirst']) && !empty($_POST['inputTopAtFirst']))
  {
    $tmp = $_POST['inputTopAtFirst'] == 'yes' ? 'Y' : 'N';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cTopAtFirst', $tmp);
    $aOptions['cTopAtFirst'] = $tmp;
  }
  if (isset($_POST['inputAttributeAnBeschreibung']))
  {
    $tmp = (string)$_POST['inputAttributeAnBeschreibung'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cAttributeAnBeschreibung', $tmp);
    $aOptions['cAttributeAnBeschreibung'] = $tmp;
  }
  if (isset($_POST['inputWrapAttributeAnBeschreibung']))
  {
    $tmp = (string)$_POST['inputWrapAttributeAnBeschreibung'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cWrapAttributeAnBeschreibung', $tmp);
    $aOptions['cWrapAttributeAnBeschreibung'] = $tmp;
  }
  if (isset($_POST['inputAttributNichtExportieren']))
  {
    $tmp = (string)$_POST['inputAttributNichtExportieren'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cAttributNichtExportieren', $tmp);
    $aOptions['cAttributNichtExportieren'] = $tmp;
  }
  if (isset($_POST['inputMerkmaleNichtExportieren']))
  {
    $tmp = (string)$_POST['inputMerkmaleNichtExportieren'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cMerkmaleNichtExportieren', $tmp);
    $aOptions['cMerkmaleNichtExportieren'] = $tmp;
  }
}


$smarty->assign('valueTopArticleAsHighlight', $aOptions['cTopArticleAsHighlight']);
$smarty->assign('titleTopArticleAsHighlight', 'Hightlight-Produkte');
$smarty->assign('descrTopArticleAsHighlight', 'Sollen Ihre Top-Produkte zu Highlight-Artikeln bei Shopgate werden?');

$smarty->assign('valueInaktivStatusString', $aOptions['cInaktivStatusString']);
$smarty->assign('titleInaktivStatusString', 'Produkte deaktivieren');
$smarty->assign('descrInaktivStatusString', 'Produkte mit diesem Lieferstatus werden bei Shopgate nicht aktiviert, mehrere Status sind durch Semikolon zu trennen.');

$smarty->assign('valueNehmeLieferzeit', $aOptions['cNehmeLieferzeit']);
$smarty->assign('titleNehmeLieferzeit', 'als Lieferzeit anzeigen');
$smarty->assign('descrNehmeLieferzeit', 'Diese Angabe wird als Lieferzeit an Shopgate &uuml;bergeben.');

$smarty->assign('aVersandklassen', $aVersandklassen);
$smarty->assign('valueStandardVersandklasse', $aOptions['nStandardVersandklasse']);
$smarty->assign('titleStandardVersandklasse', 'Standard Versandklasse');
$smarty->assign('descrStandardVersandklasse', 'Sind Produkte einer anderen Versandklasse zugewiesen, werden eventuelle Mehrkosten als Versandaufschlag an Shopgate &uuml;bergeben.');

$smarty->assign('valueBestandspuffer', $aOptions['cBestandspuffer']);
$smarty->assign('titleBestandspuffer', 'Bestandspuffer');
$smarty->assign('descrBestandspuffer', 'Reduziert den an Shopgate &uuml;bergebenen Bestand um Anzahl x, in Abh&auml;ngigkeit des Lagerbestands. Das Feld kann leer gelassen werden.<br />Eingabeformat: BIS_LAGERBESTAND_X:BESTAND_MINUS_A,BIS_LAGERBESTAND_Y:BESTAND_MINUS_B<br />Beispiel:<br />5:2,10:1,max:50<br /><em>Ist der Bestand kleiner gleich 5, &uuml;bergebe den Bestand minus 2 an Shopgate. Ist der Bestand kleiner gleich 10, &uuml;bergebe 1 weniger an Shopgate. Ist der Bestand gr&ouml;&szlig;er 10, wird er unver&auml;ndert an Shopgate &uuml;bergeben.</em><br /><br />Zusatzparameter:<em>max:50</em> Der maximal an Shopgate &uuml;bermittelte Bestand betr&auml;gt 50 St&uuml;ck.');

$smarty->assign('valueAttributeAnBeschreibung', $aOptions['cAttributeAnBeschreibung']);
$smarty->assign('titleAttributeAnBeschreibung', 'Attribute an Beschreibung');
$smarty->assign('descrAttributeAnBeschreibung', 'Ist die Einstellung &quot;Attribute vom Artikel an Beschreibung anh&auml;ngen&quot; in Ihrem Shop nicht aktiv, tragen Sie hier die Namen der Artikel-Attribute ein (kommagetrennt), die an die Beschreibung angeh&auml;ngt werden sollen.');

$smarty->assign('valueWrapAttributeAnBeschreibung', $aOptions['cWrapAttributeAnBeschreibung']);
$smarty->assign('titleWrapAttributeAnBeschreibung', 'HTML-Code f&uuml;r Attribute an Beschreibung');
$smarty->assign('descrWrapAttributeAnBeschreibung', 'Umgeben von diesem HTML-Code wird jedes Artikelmerkmal an die Beschreibung angef&uuml;gt. Die Platzhalter [wert] und [inhalt] werden durch den Namen und den Inhalt des Merkmals. Der Standard-Code ist dieser: &lt;p&gt;&lt;strong&gt;[wert]:&lt;/strong&gt;[inhalt]&lt;/p&gt;');

$smarty->assign('valueAttributNichtExportieren', $aOptions['cAttributNichtExportieren']);
$smarty->assign('titleAttributNichtExportieren', 'Attribute nicht als Filter');
$smarty->assign('descrAttributNichtExportieren', 'Tragen Sie die Namen der Attribute ein (kommagetrennt), die nicht als Filteroptionen zu Shopgate &uuml;bertragen werden sollen.');

$smarty->assign('valueMerkmaleNichtExportieren', $aOptions['cMerkmaleNichtExportieren']);
$smarty->assign('titleMerkmaleNichtExportieren', 'Merkmale nicht exportieren');
$smarty->assign('descrMerkmaleNichtExportieren', 'Tragen Sie die Namen der Merkmale ein (kommagetrennt), die nicht als Filteroptionen zu Shopgate &uuml;bertragen werden sollen.');

$smarty->assign('valueSortArticle', $aOptions['cSortArticle']);
$smarty->assign('valueSortArticleOrder', $aOptions['cSortArticleOrder']);
$smarty->assign('titleSortArticle', 'Artikel-Sortierung');
$smarty->assign('descrSortArticle', 'So werden die Artikel in den Kategorien sortiert.');

$smarty->assign('valueTopAtFirst', $aOptions['cTopAtFirst']);
$smarty->assign('titleTopAtFirst', 'Top-Produkte an den Anfang stellen?');
$smarty->assign('descrTopAtFirst', 'Sollen Ihre Top-Produkte am Anfang der Kategorien gelistet werden?');

$test_lizenz = false;
if (empty($oPlugin->cLizenz) || strtolower($oPlugin->cLizenz) == 'test')
  $test_lizenz = true;
$smarty->assign('IS_TEST_LIZENZ', $test_lizenz);

$smarty->assign("URL_SHOP", URL_SHOP);
$smarty->assign("URL_ADMINMENU", URL_SHOP . "/" . PFAD_PLUGIN . $oPlugin->cVerzeichnis . "/" . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . "/" . PFAD_PLUGIN_ADMINMENU);
//$smarty->assign("stepPlugin", $stepPlugin);
print_r($smarty->fetch($oPlugin->cAdminmenuPfad . "template/export_config.tpl"));
?>