<?php
// Variablen die bei jedem Plugin existieren
// $GLOBALS['smarty']               Smarty Template Engine Object
// $GLOBALS['oPlugin']              Plugin Object
global $smarty, $oPlugin;
$loadOptions = array('payment_relation','use_sg_number','number_suffix','number_prefix','cSendOrderConfirmation','cGuthabenverrechnung','cPaymentRelationSG');
$sLoadOptions = '';
foreach ($loadOptions as $value)
  $sLoadOptions .= empty($sLoadOptions) ? "'".$value."'" : ",'".$value."'";
  
require_once $oPlugin->cAdminmenuPfad . 'lib/functions.lib.php';

$aOptions = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `xplugin_".$oPlugin->cPluginID."_config` WHERE `cKey` IN ($sLoadOptions) ORDER BY `cKey`", 9);
foreach ($aRes as $row)
{
  $aOptions[$row['cKey']] = $row['cValue'];
}
$tmpShopgateZahlarten = empty($aOptions['payment_relation']) ? array() : unserialize($aOptions['payment_relation']);

$aZahlarten = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT `kZahlungsart`, `cName` FROM `tzahlungsart` ORDER BY `kZahlungsart`", 9);
foreach ($aRes as $row)
{
  $aZahlarten[$row['kZahlungsart']] = $row;
}

$aSGPaymentMethods = array(
  'mws' => 'Amazon Payments', // (Own - APA)',
  
  'cod' => 'Nachnahme', // 'Cash on Delivery',
  
  'authn_cc'    => 'Authorize.net (Credit card)',
  'braintr_cc'  => 'Braintree (Credit card)',
  'chase_cc'    => 'Chase Paymentech (Credit card)',
  'cmptop_cc'   => 'Computop (Credit card)',
  'cybrsrc_cc'  => 'CyberSource (Credit card)',
  'dt_cc'       => 'DataTrans (Credit card)',
  'dtcash_cc'   => 'DataCash (Credit card)',
  'eway_cc'     => 'eWAY (Credit card)',
  'frstdat_cc'  => 'FirstData US (Credit card)',
  'mastpay_cc'  => 'Masterpayment (Credit card)',
  'ogone_cc'    => 'Ogone (Credit card)',
  'payjunc_cc'  => 'PayJunction (Credit card)',
  'payone_cc'   => 'PAYONE (Credit card)',
  'pp_wspp_cc'  => 'PayPal Website Payments Pro (Credit card)',
  'realex_cc'   => 'Realex (Credit card)',
  'sagepay_cc'  => 'SagePay (Credit card)',
  'stripe_cc'   => 'Stripe (Credit card)',
  'telecsh_cc'  => 'Telecash (Credit card)',
  'trnsfst_cc'  => 'TransFirst (Credit card)',
  'usaepay_cc'  => 'USA ePay (Credit card)',
  'hipay'       => 'HiPay (extern) (Credit card)',
  'six_cc'      => 'SIX Saferpay (extern) (Credit card)',
  'skrill_cc'   => 'Skrill (extern) (Credit card)',
  'wirecrd_cc'  => 'Wirecard (extern) (Credit card)',
  'worldline'   => 'Worldline (extern) (Credit card)',
  
  'debit'       => 'Lastschrift',
  'paymrw_dbt'  => 'Direct debit via Paymorrow',
  'payone_dbt'  => 'Direct debit via PAYONE',
  
  'invoice'     => 'Rechnung (eigene Abwicklung)',
  'billsafe'    => 'Rechnung via Billsafe',
  'klarna_inv'  => 'Rechnung via Klarna',
  'mstpay_inv'  => 'Rechnung via Masterpayment',
  'paymrw_inv'  => 'Rechnung via Paymorrow',
  'payone_inv'  => 'Rechnung via PAYONE',
  'wcard_inv'   => 'Rechnung via Wirecard',
  
  'upaid_mcm'   => 'MasterPass',
  
  'paypal'      => 'PayPal (eigene Abwicklung)',
  'cmptop_pp'   => 'PayPal via Computop',
  'mastpay_pp'  => 'PayPal via Masterpayment',
  'payone_pp'   => 'PayPal via PAYONE',
  'sagepay_pp'  => 'PayPal via SagePay',
  'six_pp'      => 'PayPal via SIX Saferpay',
  'wcard_pp'    => 'PayPal via Wirecard',
  
  'payu'        => 'PayU (Your PayU account)',
  
  'prepay'      => 'Vorkasse',
  'payone_prp'  => 'Prepayment via PAYONE',
  
  'sue'         => 'SOFORT berweisung',
  'mastpay_sue' => 'Masterpayment (SOFORT berweisung)',
  'skrill_sue'  => 'SOFORT berweisung via Skrill',
  'wcard_sue'   => 'SOFORT berweisung via Wirecard',
  
  'shopgate'    => 'Shopgate',
  
  'six_ideal'   => 'iDEAL via SIX Saferpay',
  
  'other'       => 'Sonstiges'
);
/* nicht abndern*/
$shopgateZahlarten = array();
foreach ($aSGPaymentMethods as $key => $name)
{
  $cKey = strtoupper($key);
  if (array_key_exists($cKey, $tmpShopgateZahlarten))
    $shopgateZahlarten[$cKey] = array('id' => $tmpShopgateZahlarten[$cKey]['id'], 'name' => $name);
  else
    $shopgateZahlarten[$cKey] = array('id' => 0, 'name' => $name);
}
/* nicht abndern */

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['btn_save']) && $_GET['cPluginTab'] == 'Import-Einstellungen')
{
  $newShopgateZahlarten = array();
  foreach ($aSGPaymentMethods as $key => $name)
  {
    $cKey = strtoupper($key);
    $aPdata = array('id'=>0, 'name'=> $name);
    if (isset($_POST['inputZahlart_'.$cKey]) && array_key_exists($_POST['inputZahlart_'.$cKey], $aZahlarten))
      $aPdata['id'] = (int) $_POST['inputZahlart_'.$cKey];
    $newShopgateZahlarten[$cKey] = $aPdata;
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'payment_relation', serialize($newShopgateZahlarten));
  $shopgateZahlarten = $newShopgateZahlarten;
  
  if (isset($_POST['inputUseSgNumber']) && !empty($_POST['inputUseSgNumber']))
  {
    $tmp = $_POST['inputUseSgNumber'] == 'yes' ? 'yes' : 'no';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'use_sg_number', $tmp);
    $aOptions['use_sg_number'] = $tmp;
  }
  if (isset($_POST['inputNumberSuffix']))
  {
    $tmp = (string)$_POST['inputNumberSuffix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_suffix', $tmp);
    $aOptions['number_suffix'] = $tmp;
  }
  if (isset($_POST['inputNumberPrefix']))
  {
    $tmp = (string)$_POST['inputNumberPrefix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_prefix', $tmp);
    $aOptions['number_prefix'] = $tmp;
  }
  if (isset($_POST['inputPaymentRelationSG']) && !empty($_POST['inputPaymentRelationSG']))
  {
    $possible = array('mapping','shopgate','shopgatename');
    $tmp = in_array($_POST['inputPaymentRelationSG'], $possible) ? $_POST['inputPaymentRelationSG'] : 'mapping';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cPaymentRelationSG', $tmp);
    $aOptions['cPaymentRelationSG'] = $tmp;
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cSendOrderConfirmation', isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N');
  $aOptions['cSendOrderConfirmation'] = isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N';
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cGuthabenverrechnung', isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N');
  $aOptions['cGuthabenverrechnung'] = isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N';
}


$smarty->assign('aZahlarten', $aZahlarten);
$smarty->assign('aShopgateZahlarten', $shopgateZahlarten);

$smarty->assign('valueUseSgNumber', $aOptions['use_sg_number']);
$smarty->assign('titleUseSgNumber', 'Shopgate-Bestellnummer');
$smarty->assign('descrUseSgNumber', 'M&ouml;chten Sie die Shopgate-Bestellnummer anstelle der Shop-Bestellnummer verwenden?');

$smarty->assign('valueNumberPrefix', $aOptions['number_prefix']);
$smarty->assign('titleNumberPrefix', 'Bestellnummer-Pr&auml;fix');
$smarty->assign('descrNumberPrefix', 'Diese Zeichen werden der Bestellnummer vorangestellt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueNumberSuffix', $aOptions['number_suffix']);
$smarty->assign('titleNumberSuffix', 'Bestellnummer-Suffix');
$smarty->assign('descrNumberSuffix', 'Diese Zeichen werden an die Bestellnummer angef&uuml;gt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueSendOrderConfirmation', $aOptions['cSendOrderConfirmation']);
$smarty->assign('titleSendOrderConfirmation', 'Bestellbest&auml;tigung versenden');
$smarty->assign('descrSendOrderConfirmation', 'Soll dem Kunden die Shop-Bestellbest&auml;tigung gesendet werden?');

$smarty->assign('valueGuthabenverrechnung', $aOptions['cGuthabenverrechnung']);
$smarty->assign('titleGuthabenverrechnung', 'Kundenguthaben verrechnen');
$smarty->assign('descrGuthabenverrechnung', 'Wenn aktiviert, werden vorhandene Kundenguthaben in Form eines Gutscheinens dem Shopgate-Warenkorb hinzugef&uuml;gt. Der Gutschein kann vom Kunden nicht entfernt werden.');

$smarty->assign('valuePaymentRelationSG', $aOptions['cPaymentRelationSG']);
$smarty->assign('titlePaymentRelationSG', 'Zahlungsart &quot;Shopgate&quot; zuordnen');
$smarty->assign('descrPaymentRelationSG', 'Wie soll die Zahlungsart &quot;Shopgate&quot; in Ihre Wawi &uuml;bergeben werden?');

$test_lizenz = false;
if (empty($oPlugin->cLizenz) || strtolower($oPlugin->cLizenz) == 'test')
  $test_lizenz = true;
$smarty->assign('IS_TEST_LIZENZ', $test_lizenz);

$smarty->assign("URL_SHOP", URL_SHOP);
$smarty->assign("URL_ADMINMENU", URL_SHOP . "/" . PFAD_PLUGIN . $oPlugin->cVerzeichnis . "/" . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . "/" . PFAD_PLUGIN_ADMINMENU);
//$smarty->assign("stepPlugin", $stepPlugin);
print_r($smarty->fetch($oPlugin->cAdminmenuPfad . "template/import_config.tpl"));
?>