{if $IS_TEST_LIZENZ}
  <p style="margin: 20px; font-weight: bold;">
    Sie nutzen derzeit die laufzeitbegrenzte Demoversion des Plugins. Bestellen Sie hier einen Lizenzschl&uuml;ssel f&uuml;r die unbegrenzte Nutzung:<br />
    <a href="http://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html" target="_blank">http://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html</a>
  </p>
{/if}
<form method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=Import-Einstellungen" name="plugin_configuration">
  <table style="cellpadding: 5px; cellspacing: 5px;" summary="Konfiguration">
    <tbody>
      <tr>
        <th colspan="3">Zahlungsarten zuordnen</th>
      </tr>
      <tr>
        <td colspan="3">
          <table style="cellpadding: 2px; cellspacing: 2px;" summary="Zahlungsarten zuweisen">
            <tbody>
              <tr>
                <td><strong>Shopgate</strong></td><td><strong>Shop</strong></td><td>&nbsp;</td><td><strong>Shopgate</strong></td><td><strong>Shop</strong></td>
              </tr>
              {assign var='tdColumn' value='one'}
              {foreach name=wrapper item=aZahlart key=cZahlart from=$aShopgateZahlarten}
                {if $tdColumn=='one'}
                  <tr>
                {else}
                  <td>&nbsp;</td>
                {/if}
                <td>
                  {$aZahlart.name}
                </td>
                <td>
                  <select name="inputZahlart_{$cZahlart}">
                    {foreach name=wrapper item=option from=$aZahlarten}
                      <option value="{$option.kZahlungsart}" {if $option.kZahlungsart == $aZahlart.id} selected="selected" {/if}>{$option.cName}</option>
                    {/foreach}
                  </select>
                </td>
                {if $tdColumn=='one'}
                  {assign var='tdColumn' value='two'}
                {else}
                  </tr>
                  {assign var='tdColumn' value='one'}
                {/if}
              {/foreach}
              {if $tdColumn=='two'}
                  <td colspan="3">&nbsp;</td>
                </tr>
              {/if}
              <tr>
            </tbody>
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputPaymentRelationSG">{$titlePaymentRelationSG}</label>
        </td>
        <td>
          <select name="inputPaymentRelationSG" id="inputPaymentRelationSG">
            <option value="mapping" {if $valuePaymentRelationSG == 'mapping'} selected="selected" {/if}>Wie oben zugeordnet</option>
            <option value="shopgatename" {if $valuePaymentRelationSG == 'shopgatename'} selected="selected" {/if}>&quot;Shopgate (xxxx)&quot;</option>
            <option value="shopgate" {if $valuePaymentRelationSG == 'shopgate'} selected="selected" {/if}>&quot;Shopgate&quot;</option>
          </select>
        </td>
        <td>
          {$descrPaymentRelationSG}
        </td>
      </tr>
      <tr>
        <td colspan="3"><hr /></td>
      </tr>
      <tr>
        <th colspan="3">weitere Einstellungen</th>
      </tr>
      <tr>
        <td>
          <label for="inputUseSgNumber">{$titleUseSgNumber}</label>
        </td>
        <td>
          <select name="inputUseSgNumber" id="inputUseSgNumber">
            <option value="no" {if $valueUseSgNumber == 'no'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueUseSgNumber == 'yes'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrUseSgNumber}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNumberPrefix">{$titleNumberPrefix}</label>
        </td>
        <td>
          <input type="text" id="inputNumberPrefix" name="inputNumberPrefix" size="20" maxlength="5" value="{$valueNumberPrefix}" />
        </td>
        <td>
          {$descrNumberPrefix}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNumberSuffix">{$titleNumberSuffix}</label>
        </td>
        <td>
          <input type="text" id="inputNumberSuffix" name="inputNumberSuffix" size="20" maxlength="5" value="{$valueNumberSuffix}" />
        </td>
        <td>
          {$descrNumberSuffix}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputSendOrderConfirmation">{$titleSendOrderConfirmation}</label>
        </td>
        <td>
          <input type="checkbox" name="inputSendOrderConfirmation" id="inputSendOrderConfirmation" {if $valueSendOrderConfirmation == 'Y'} checked="checked" {/if} />
        </td>
        <td>
          {$descrSendOrderConfirmation}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputGuthabenverrechnung">{$titleGuthabenverrechnung}</label>
        </td>
        <td>
          <input type="checkbox" name="inputGuthabenverrechnung" id="inputGuthabenverrechnung" {if $valueGuthabenverrechnung == 'Y'} checked="checked" {/if} />
        </td>
        <td>
          {$descrGuthabenverrechnung}
        </td>
      </tr>
    </tbody>
  </table>
  <div class="save_wrapper">
    <input type="submit" name="btn_save" value="Speichern" class="button orange" />
  </div>
</form>