{if $IS_TEST_LIZENZ}
  <p style="margin: 20px; font-weight: bold;">
    Sie nutzen derzeit die laufzeitbegrenzte Demoversion des Plugins. Bestellen Sie hier einen Lizenzschl&uuml;ssel f&uuml;r die unbegrenzte Nutzung:<br />
    <a href="http://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html" target="_blank">http://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html</a>
  </p>
{/if}
{if $aBestellungen}
  <table summary="shopgate_orders">
    <thead>
      <tr>
        <th class="tleft">Bestellnummer / Shopgate-Nr</th>
        <th class="tleft">Kunde</th>
        <th class="tleft">Gesamtsumme</th>
        <th class="tleft">Erstellt</th>
        <th class="tleft">bearbeitet</th>
        <th class="tleft">in Wawi</th>
      </tr>
    </thead>
    <tbody>
    {foreach name=orderlist from=$aBestellungen item=bestellung}
      <tr class="agi_accordion_title" style="cursor: pointer">
        <th class="tleft">{$bestellung.cBestellNr} / {$bestellung.kBestellungShopgate}</th>
        <th class="tleft">{$bestellung.aKunde.cName}</th>
        <th class="tleft">{$bestellung.cGesamtsumme} {$bestellung.cWaehrung}</th>
        <th class="tleft">{$bestellung.dErstellt}</th>
        <th class="tleft">{$bestellung.dGeaendert}</th>
        <th class="tleft">{if $bestellung.bAbgeholt} Ja {/if}</th>
      </tr>
      <tr class="agi_accordion_details">
        <td colspan="6" class="tleft">
          <table summary="Bestellung-Details">
            <thead>
              <tr>
                <th>Positionen</th>
                <th>Kunde</th>
                <th>Infos</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  {if $bestellung.aPositionen}
                  <ul class="vlist">
                    {foreach name=orderArticle from=$bestellung.aPositionen item=artikel}
                    <li>
                      <strong>{$artikel.nAnzahl} x {$artikel.cName}</strong> ({$artikel.cArtNr}) je {$artikel.fPreis}
                      {if $artikel.cEigenschaften != ''}
                        <p style="margin-left: 15px">
                          {$artikel.cEigenschaften}
                        </p>
                      {/if}
                    </li>
                    {/foreach}
                  </ul>
                  {/if}
                </td>
                <td>
                  <ul class="vlist">
                    <li>Nummer: {$bestellung.aKunde.cKundenNr}</li>
                    <li>Firma: {$bestellung.aKunde.cFirma}</li>
                    <li>Name: {$bestellung.aKunde.cName}</li>
                    <li>Strae: {$bestellung.aKunde.cStrasse} {$bestellung.aKunde.cHausnummer}</li>
                    <li>Plz: {$bestellung.aKunde.cPLZ}</li>
                    <li>Ort: {$bestellung.aKunde.cOrt}</li>
                    <li>Land: {$bestellung.aKunde.cLand}</li>
                    <li>E-Mail: {$bestellung.aKunde.cMail}</li>
                  </ul>
                </td>
                <td>
                  {$bestellung.cKommentar}
                  <hr />
                  {$bestellung.cHistory}
                </td>
              </tr>
              <tr>
                <td colspan="3">
                  <ul class="hlist">
                    <li class="p50"><strong>Versand:</strong> {$bestellung.cVersandartName} ({$bestellung.dVersandDatum})</li>
                    <li class="p50"><strong>Zahlung:</strong> {$bestellung.cZahlungsartName} ({$bestellung.dBezahltDatum})</li>
                    <li class="clearall">&nbsp;</li>
                  </ul>
                </td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
    {/foreach}
    </tbody>
  </table>
{/if}

<form method="post" enctype="multipart/form-data" name="pagination">
  <table style="width: 100%" summary="Pagination/Filter">
    <tbody>
      <tr>
        <td>
          Seite 
          <select name="nb_page">
            {section name="seitenSchleife" start=1 loop=$cMaximaleSeite}
              <option value="{$smarty.section.seitenSchleife.index}" {if $smarty.section.seitenSchleife.index == $cAktuelleSeite} selected="selected"{/if} >{$smarty.section.seitenSchleife.index}</option>
            {/section}
          </select> 
          von {$cMaximaleSeite}
        </td>
        <td>Bestellungen {$cAktuellAngezeigt} von {$cMaximalAngezeigt}</td>
        <td>
          Sortiere nach: 
          <select name="psb_order_by">
            <option value="xp.created" {if $filter_psb_order_by == 'xp.created'}selected="selected"{/if}>Bestelldatum</option>
            <option value="xp.modified" {if $filter_psb_order_by == 'xp.modified'}selected="selected"{/if}>letzte &Auml;nderung</option>
          </select> 
          <select name="psb_order_by_asc">
            <option value="ASC" {if $filter_psb_order_by_asc == 'ASC'}selected="selected"{/if}>aufsteigend</option>
            <option value="DESC" {if $filter_psb_order_by_asc == 'DESC'}selected="selected"{/if}>absteigend</option>
          </select>
        </td>
        <td>
          <input type="submit" name="btn_show" value="Anzeigen" />
        </td>
      </tr>
    </tbody>
  </table>
</form>


{literal}
  <script type="text/javascript">
    $(document).ready( function() {
      $('.agi_accordion_title').not('.trigger_active').next('.agi_accordion_details').hide();
      $('.agi_accordion_title').click( function() {
        var trig = $(this);
        if ( trig.hasClass('trigger_active') ) {
          trig.next('.agi_accordion_details').slideToggle(400);
          trig.removeClass('trigger_active');
        } else {
          $('.trigger_active').next('.agi_accordion_details').slideToggle(400);
          $('.trigger_active').removeClass('trigger_active');
          trig.next('.agi_accordion_details').slideToggle(400);
          trig.addClass('trigger_active');
        };
        return false;
      });
    });
  </script>
{/literal}