<?php
// Variablen die bei jedem Plugin existieren
// $GLOBALS['smarty']               Smarty Template Engine Object
// $GLOBALS['oPlugin']              Plugin Object
global $smarty, $oPlugin;

$loadOptions = array('payment_relation','use_sg_number','number_suffix','number_prefix','cSendOrderConfirmation','cGuthabenverrechnung','cPaymentRelationSG','cAddSgNumberToComment');
$sLoadOptions = '';
foreach ($loadOptions as $value)
  $sLoadOptions .= empty($sLoadOptions) ? "'".$value."'" : ",'".$value."'";
  
require_once $oPlugin->cAdminmenuPfad . 'lib/functions.lib.php';

$aOptions = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `xplugin_".$oPlugin->cPluginID."_config` WHERE `cKey` IN ($sLoadOptions) ORDER BY `cKey`", 9);
foreach ($aRes as $row)
{
  $aOptions[$row['cKey']] = $row['cValue'];
}
$tmpShopgateZahlarten = empty($aOptions['payment_relation']) ? array() : unserialize($aOptions['payment_relation']);

$aZahlarten = array();
$aZahlarten[0] = array('kZahlungsart'=>0,'cName'=>'keine Zuordnung');
$aRes = $GLOBALS["DB"]->executeQuery("SELECT `kZahlungsart`, `cName` FROM `tzahlungsart` WHERE `nActive`=1 ORDER BY `kZahlungsart`", 9);
foreach ($aRes as $row)
{
  $aZahlarten[$row['kZahlungsart']] = $row;
}
$pData = $GLOBALS["DB"]->executeQuery("SELECT * FROM `tplugin` WHERE `cPluginID`='s360_amazon_lpa_shop4' AND `nStatus`=2", 1);
if (!empty($pData)) {
  $aZahlarten['5360'] = array('kZahlungsart'=>'5360','cName'=>'s360 Amazon Payments');
}
else {
  $pData = $GLOBALS["DB"]->executeQuery("SELECT * FROM `tplugin` WHERE `cPluginID`='s360_amazon_lpa' AND `nStatus`=2", 1);
  if (!empty($pData)) {
    $aZahlarten['5360'] = array('kZahlungsart'=>'5360','cName'=>'s360 Amazon Payments');
  }
}

$aSGPaymentGroups = array(
  array('name'=>'Fallback - wenn die Shoppgate-Zahlungsart nicht zugeordnet ist','methods'=>array('other')),
  array('name'=>'Amazon Payments','methods'=>array('mws')),
  array('name'=>'Cash on Delivery / Nachnahme','methods'=>array('cod')),
  array('name'=>'Credit Card','methods'=>array('authn_cc','braintr_cc','chase_cc','cmptop_cc','concar_cc','cybrsrc_cc','dt_cc','dtcash_cc','eway_cc','frstdat_cc','hdlpay_cc','mastpay_cc','ogone_cc','pay4one_cc','payjunc_cc','payone_cc','pp_wspp_cc','realex_cc','sagepay_cc','stripe_cc','telecsh_cc','trnsfst_cc','usaepay_cc','wcards_cc','wldpdir_cc')),
  array('name'=>'Credit card (redirect)','methods'=>array('hipay','six_cc','skrill_cc','wirecrd_cc','worldline')),
  array('name'=>'Direct Debit / Lastschrift','methods'=>array('debit','paymrw_dbt','payone_dbt','spone_dbt','wcards_dbt')),
  array('name'=>'Direct Debit (external)','methods'=>array('cmptop_dbt','skrill_dbt','wcard_dbt')),
  array('name'=>'Giropay','methods'=>array('payone_gp')),
  array('name'=>'Installment / Raten','methods'=>array('accrd_ins','payol_ins')),
  array('name'=>'Invoice / Rechnung','methods'=>array('invoice','accrd_inv','billsafe','klarna_inv','mstpay_inv','paymrw_inv','payol_inv','payone_inv','payone_klv','wcard_inv')),
  array('name'=>'MasterCard','methods'=>array('upaid_mcm')),
  array('name'=>'Merchant payment / eigene Zahlungsart','methods'=>array('merch_pm','merch_pm_2','merch_pm_3')),
  array('name'=>'On-site pickup / Abholung','methods'=>array('coll_store')),
  array('name'=>'Pay in store / barzahlen','methods'=>array('barzahlen')),
  array('name'=>'PayPal','methods'=>array('paypal','ppal_plus','cmptop_pp','mastpay_pp','payone_pp','sagepay_pp','six_pp','wcard_pp','wcards_pp')),
  array('name'=>'PayU','methods'=>array('payu')),
  array('name'=>'Prepayment / Vorkasse','methods'=>array('prepay','payone_prp')),
  array('name'=>'SOFORT berweisung','methods'=>array('sue','hdlpay_sue','mastpay_sue','payone_sue','skrill_sue','wcard_sue','wcards_sue')),
  //array('name'=>'Shopgate','methods'=>array('shopgate')),
  array('name'=>'iDEAL','methods'=>array('payone_idl','six_ideal','skrill_idl','wcard_idl','wcards_idl'))
);

$aSGPaymentMethods = array(
  // Fallback
  'other' => 'Standardwert',
  
  // Amazon Payments
  'mws' => 'Amazon Payments',
  
  // Cash on Delivery
  'cod' => 'Nachnahme',
  
  // Credit Card
  'authn_cc'    => 'Authorize.net',
  'braintr_cc'  => 'Braintree',
  'chase_cc'    => 'Chase Paymentech (Orbital)',
  'cmptop_cc'   => 'Computop',
  'concar_cc'   => 'ConCardis (DirectLink)',
  'cybrsrc_cc'  => 'CyberSource',
  'dt_cc'       => 'Datatrans',
  'dtcash_cc'   => 'DataCash',
  'eway_cc'     => 'eWAY',
  'frstdat_cc'  => 'FirstData US / Global Gateway e4',
  'hdlpay_cc'   => 'HeidelPay',
  'mastpay_cc'  => 'Masterpayment',
  'ogone_cc'    => 'Ingenico (Ogone)',
  'pay4one_cc'  => 'Pay4one',
  'payjunc_cc'  => 'PayJunction',
  'payone_cc'   => 'PAYONE',
  'pp_wspp_cc'  => 'PayPal Website Payments Pro',
  'realex_cc'   => 'Relax',
  'sagepay_cc'  => 'SagePay',
  'stripe_cc'   => 'Stripe',
  'telecsh_cc'  => 'Telecash',
  'trnsfst_cc'  => 'TransFirst',
  'usaepay_cc'  => 'USA ePay',
  'wcards_cc'   => 'Wirecard (Checkout Seamless)',
  'wldpdir_cc'  => 'WorldPay(SecureNet)',
  
  // Credid Card (external)
  'hipay'       => 'Hipay (Offsite)',
  'six_cc'      => 'SIX Saferpay',
  'skrill_cc'   => 'Skrill',
  'wirecrd_cc'  => 'Wirecard (Checkout Page)',
  'worldline'   => 'Worldline (Offsite)',
  
  // Direct Debit
  'debit'       => 'Lastschrift',
  'paymrw_dbt'  => 'Direct debit (Paymorrow)',
  'payone_dbt'  => 'Direct debit (PAYONE)',
  'spone_dbt'   => 'Direct debit (SEPAone)',
  'wcards_dbt'  => 'Direct debit (Wirecard (Checkout Seamless))',
  
  // Direct Debit (external)
  'cmptop_dbt'  => 'Direct debit (Computop)',
  'skrill_dbt'  => 'Direct debit (external) (Skrill)',
  'wcard_dbt'   => 'Direct debit (Wirecard (Checkout Page))',
  
  // Giropay
  'payone_gp'   => 'Giropay (PAYONE)',
  
  // Installment 
  'accrd_ins'   => 'Installment (Accarda)',
  'payol_ins'   => 'Installment (Payolution)',
  
  // Invoice
  'invoice'     => 'Rechnung',
  'accrd_inv'   => 'Invoice (Accarda)',
  'billsafe'    => 'Billsafe',
  'klarna_inv'  => 'Klarna',
  'mstpay_inv'  => 'Masterpayment',
  'paymrw_inv'  => 'Invoice (Paymorrow)',
  'payol_inv'   => 'Invoice (Payolution)',
  'payone_inv'  => 'Invoice (PAYONE)',
  'payone_klv'  => 'Invoice (externe) (PAYONE)',
  'wcard_inv'   => 'Invoice (Wirecard (Checkout Page))',
  
  // MasterCard
  'upaid_mcm' => 'MasterPass',
  
  // Merchant payment
  'merch_pm'    => 'Merchant payment (Merchant payment)',
  'merch_pm_2'  => 'Merchant payment (Merchant payment 2)',
  'merch_pm_3'  => 'Merchant payment (Merchant payment 3)',
  
  // On-site pickup
  'coll_store'  => 'Collection at store (processed by you)',
  
  // Pay in store
  'barzahlen'   => 'Prepayment (Barzahlen)',
  
  // PayPal
  'paypal'      => 'PayPal',
  'ppal_plus'   => 'PayPal Plus',
  'cmptop_pp'   => 'PayPal (Computop)',
  'mastpay_pp'  => 'PayPal (Masterpayment)',
  'payone_pp'   => 'PayPal (PAYONE)',
  'sagepay_pp'  => 'PayPal (SagePay)',
  'six_pp'      => 'PayPal (SIX Saferpay)',
  'wcard_pp'    => 'PayPal (Wirecard (Checkout Page))',
  'wcards_pp'   => 'PayPal (Wirecard (Checkout Seamless))',
  
  // PayU
  'payu'        => 'PayU (Your PayU account)',
  
  // Prepayment
  'prepay'      => 'Vorkasse',
  
  // SOFORT berweisung
  'sue'         => 'Sofortberweisung',
  'hdlpay_sue'  => 'SOFORT berweisung (HeidelPay)',
  'mastpay_sue' => 'SOFORT berweisung (Masterpayment)',
  'payone_sue'  => 'SOFORT banking (PAYONE)',
  'skrill_sue'  => 'Sofortberweisung (Skrill)',
  'wcard_sue'   => 'Sofortberweisung (Wirecard (Checkout Page))',
  'wcards_sue'  => 'Sofortberweisung (Wirecard (Checkout Seamless))',
  
  // Shopgate'
  //'shopgate'    => '',
  
  // iDEAL
  'payone_idl'  => 'iDEAL (PAYONE)',
  'six_ideal'   => 'iDEAL (SIX Saferpay)',
  'skrill_idl'  => 'iDEAL (Skrill)',
  'wcard_idl'   => 'iDEAL (Wirecard (Checkout Page))',
  'wcards_idl'  => 'iDEAL (Wirecard (Checkout Seamless))',
  
  'other'       => 'Sonstiges'
);
/* nicht abndern*/
$shopgateZahlarten = array();
$aOverwrite = array();
foreach ($aSGPaymentMethods as $key => $name)
{
  $cKey = strtoupper($key);
  if (array_key_exists($cKey, $tmpShopgateZahlarten)) {
    $shopgateZahlarten[$cKey] = array(
      'id'      => $tmpShopgateZahlarten[$cKey]['id'], 
      'name'    => $name,
      'useName' => array_key_exists('useName',$tmpShopgateZahlarten[$cKey]) ? $tmpShopgateZahlarten[$cKey]['useName'] : '',
      'isPayed' => array_key_exists('isPayed',$tmpShopgateZahlarten[$cKey]) ? $tmpShopgateZahlarten[$cKey]['isPayed'] : 0
    );
  }
  else
    $shopgateZahlarten[$cKey] = array('id' => 0, 'name' => $name, 'useName'=>'','isPayed'=>0);
  $aOverwrite[$cKey] = $name;
}
$aSGPaymentMethods = $aOverwrite; // alle keys gro
foreach ($aSGPaymentGroups as $group => $groupData) {
  $aSGPaymentGroups[$group]['methods'] = array_map('strtoupper',$groupData['methods']);
}
/* nicht abndern */

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['btn_save']) && $_GET['cPluginTab'] == 'Import-Einstellungen')
{
  foreach ($aSGPaymentMethods as $key => $name) {
    if (isset($_POST['inputZahlart_'.$key]) && array_key_exists($_POST['inputZahlart_'.$key], $aZahlarten)) {
      $shopgateZahlarten[$key] = array(
        'id'      => (int) $_POST['inputZahlart_'.$key],
        'name'    => $name,
        'useName' => !empty($_POST['inputZahlartName_'.$key]) ? $_POST['inputZahlartName_'.$key] : '',
        'isPayed' => isset($_POST['inputZahlartPayed_'.$key]) ? 1 : 0
      );
    }
    else
      $shopgateZahlarten[$key] = array('id' => 0, 'name' => $name, 'useName'=>'','isPayed'=>0);
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'payment_relation', serialize($shopgateZahlarten));

  if (isset($_POST['inputUseSgNumber']) && !empty($_POST['inputUseSgNumber']))
  {
    $tmp = $_POST['inputUseSgNumber'] == 'yes' ? 'yes' : 'no';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'use_sg_number', $tmp);
    $aOptions['use_sg_number'] = $tmp;
  }
  if (isset($_POST['inputNumberSuffix']))
  {
    $tmp = (string)$_POST['inputNumberSuffix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_suffix', $tmp);
    $aOptions['number_suffix'] = $tmp;
  }
  if (isset($_POST['inputNumberPrefix']))
  {
    $tmp = (string)$_POST['inputNumberPrefix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_prefix', $tmp);
    $aOptions['number_prefix'] = $tmp;
  }
  if (isset($_POST['inputPaymentRelationSG']))
  {
    $tmp = trim($_POST['inputPaymentRelationSG']);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'cPaymentRelationSG', $tmp);
    $aOptions['cPaymentRelationSG'] = $tmp;
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cSendOrderConfirmation', isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N');
  $aOptions['cSendOrderConfirmation'] = isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N';
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cGuthabenverrechnung', isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N');
  $aOptions['cGuthabenverrechnung'] = isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N';
  
  $tmp = $_POST['inputAddSgNumberToComment'] == 'Y' ? 'Y' : 'N';
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cAddSgNumberToComment', $tmp);
  $aOptions['cAddSgNumberToComment'] = $tmp;
}

$smarty->assign('aZahlarten', $aZahlarten);
$smarty->assign('aShopgateZahlarten', $shopgateZahlarten);
$smarty->assign('aShopgateZahlartenGruppen', $aSGPaymentGroups);

$smarty->assign('valueUseSgNumber', $aOptions['use_sg_number']);
$smarty->assign('titleUseSgNumber', 'Shopgate-Bestellnummer');
$smarty->assign('descrUseSgNumber', 'M&ouml;chten Sie die Shopgate-Bestellnummer anstelle der Shop-Bestellnummer verwenden?');

$smarty->assign('valueNumberPrefix', $aOptions['number_prefix']);
$smarty->assign('titleNumberPrefix', 'Bestellnummer-Pr&auml;fix');
$smarty->assign('descrNumberPrefix', 'Diese Zeichen werden der Bestellnummer vorangestellt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueNumberSuffix', $aOptions['number_suffix']);
$smarty->assign('titleNumberSuffix', 'Bestellnummer-Suffix');
$smarty->assign('descrNumberSuffix', 'Diese Zeichen werden an die Bestellnummer angef&uuml;gt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueSendOrderConfirmation', $aOptions['cSendOrderConfirmation']);
$smarty->assign('titleSendOrderConfirmation', 'Bestellbest&auml;tigung versenden');
$smarty->assign('descrSendOrderConfirmation', 'Soll dem Kunden die Shop-Bestellbest&auml;tigung gesendet werden?');

$smarty->assign('valueGuthabenverrechnung', $aOptions['cGuthabenverrechnung']);
$smarty->assign('titleGuthabenverrechnung', 'Kundenguthaben verrechnen');
$smarty->assign('descrGuthabenverrechnung', 'Wenn aktiviert, werden vorhandene Kundenguthaben in Form eines Gutscheinens dem Shopgate-Warenkorb hinzugef&uuml;gt. Der Gutschein kann vom Kunden nicht entfernt werden.');

$smarty->assign('valueAddSgNumberToComment', $aOptions['cAddSgNumberToComment']);
$smarty->assign('titleAddSgNumberToComment', 'Shopgate-Bestellnummer anzeigen');
$smarty->assign('descrAddSgNumberToComment', 'Soll die Shopgate-Bestellnummer in den Kommentar der Bestellung aufgenommen werden?');



$smarty->assign('valuePaymentRelationSG', $aOptions['cPaymentRelationSG']);

$test_lizenz = false;
if (empty($oPlugin->cLizenz) || strtolower($oPlugin->cLizenz) == 'test')
  $test_lizenz = true;
$smarty->assign('IS_TEST_LIZENZ', $test_lizenz);

$smarty->assign("URL_SHOP", URL_SHOP);
$smarty->assign("URL_ADMINMENU", URL_SHOP . "/" . PFAD_PLUGIN . $oPlugin->cVerzeichnis . "/" . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . "/" . PFAD_PLUGIN_ADMINMENU);
//$smarty->assign("stepPlugin", $stepPlugin);
print_r($smarty->fetch($oPlugin->cAdminmenuPfad . "template/import_config.tpl"));
?>