{if $IS_TEST_LIZENZ}
  <p style="margin: 20px; font-weight: bold;">
    Sie nutzen derzeit die laufzeitbegrenzte Demoversion des Plugins. Bestellen Sie hier einen Lizenzschl&uuml;ssel f&uuml;r die unbegrenzte Nutzung:<br />
    <a href="https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html" target="_blank">https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html</a>
  </p>
{/if}
<p>
  Geben Sie folgende URL bei der Einrichtung der Schnittstelle im Shopgate-Backend an:<br />
  <strong>{$SHOPGATE_PLUGIN_URL}</strong><br />
  <small>Sofern es Ihr Shop zul&auml;sst, k&ouml;nnen Sie auch die sicherere URL mit &quot;https&quot; verwenden.</small>
</p>
<br />
<form method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=API-Einrichtung" name="plugin_configuration">
  <p>{$descrSgRedirectActive}</p>
  <label for="inputSgRedirectActive">{$titleSgRedirectActive}</label>
  <input type="checkbox" name="inputSgRedirectActive" id="inputSgRedirectActive" {if $valueSgRedirectActive == 'Y'} checked="checked" {/if} />

  <hr /><br /><br />
  <p>
  {if !$bConfDirIsWritable}<strong>Das Verzeichnis &quot;{$cShopgateConfigDir}&quot; ist nicht beschreibbar.</strong><br />{/if}
  {if !$bTempDirIsWritable}<strong>Das Verzeichnis &quot;{$cShopgateTempDir}&quot; ist nicht beschreibbar.</strong><br />{/if}
  {if !$bCacheDirIsWritable}<strong>Das Verzeichnis &quot;{$cShopgateCacheDir}&quot; ist nicht beschreibbar.</strong><br />{/if}
  {if !$bLogDirIsWritable}<strong>Das Verzeichnis &quot;{$cShopgateLogDir}&quot; ist nicht beschreibbar.</strong><br />{/if}
  <strong>Legen Sie f&uuml;r jede zu exportierende Sprache eine Zeile an, sofern f&uuml;r diese Sprache separate Shopgate-Shops eingerichtet sind.</strong>
  </p>
  <table style="cellpadding: 5px; cellspacing: 5px;" summary="Konfiguration" class="list table table-bordered">
    <thead>
      <tr>
        <th>Kundennummer</th>
        <th>Shopnummer</th>
        <th>API-Key</th>
        <th>Shop-Alias</th>
        <th>cName</th>
        <th>Sprache</th>
        <th>l&ouml;schen</th>
      </tr>
    </thead>
    <tbody>
    {foreach name=shoploop item=shop from=$shopConfigArray} 
      <tr>
        <td><input type="text" name="sg_customer_number_{$shop.shopnumber}" value="{$shop.data.customer_number}" /></td>
        <td>
          <input type="text" name="sg_shop_number_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.shop_number}" />
          <input type="hidden" name="sg_shop_number_ref[]" value="{$shop.shopnumber}" />
        </td>
        <td><input type="text" name="sg_apikey_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.apikey}" /></td>
        <td><input type="text" name="sg_alias_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.alias}" /></td>
        <td><input type="text" name="sg_cname_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.cname}" /></td>
        <td>
          <select name="sg_lang_{$shop.shopnumber}" id="sg_lang_{$shop.shopnumber}">
            {foreach name=wrapper item=option from=$aShopSprachen}
              <option value="{$option.kSprache}" {if $shop.data.jtlSprache == $option.kSprache} selected="selected" {/if}>{$option.cName}</option>
            {/foreach}
          </select>
        </td>
        <td><input type="checkbox" name="sg_delete_{$shop.shopnumber}" /></td>
      </tr>
      <tr>
        <td colspan="6">
          <strong>{$shop.file}</strong>
          {if $shop.writable}
            <small>{$cTextFileIsWritable}</small>
          {else}
            <small>{$cTextFileIsNotWritable}</small>
          {/if}
        </td>
      </tr>
    {/foreach}
      <tr>
        <td><input type="text" name="sg_customer_number_new" value="{$shop_new.customer_number}" /></td>
        <td><input type="text" name="sg_shop_number_new" size="20" maxlength="64" value="{$shop_new.shop_number}" /></td>
        <td><input type="text" name="sg_apikey_new" size="20" maxlength="64" value="{$shop_new.apikey}" /></td>
        <td><input type="text" name="sg_alias_new" size="20" maxlength="64" value="{$shop_new.alias}" /></td>
        <td><input type="text" name="sg_cname_new" size="20" maxlength="64" value="{$shop_new.cname}" /></td>
        <td>
          <select name="sg_lang_new" id="sg_lang_new">
            {foreach name=wrapper item=option from=$aShopSprachen}
              <option value="{$option.kSprache}" {if $shop_new.jtlSprache == $option.kSprache} selected="selected" {/if}>{$option.cName}</option>
            {/foreach}
          </select>
        </td>
        <td>&nbsp;</td>
      </tr>
      {if !$bConfDirIsWritable}
      <tr>
        <td colspan="6">
          <strong>Das Verzeichnis &quot;{$cShopgateConfigDir}&quot; ist nicht beschreibbar. Die neue Konfigurationsdatei kann nicht angelegt werden.</strong>
        </td>
      </tr>
      {/if}
    </tbody>
  </table>
  <div class="save_wrapper">
    <input type="submit" name="btn_save" value="Speichern" class="button orange" />
  </div>
</form>