{if $IS_TEST_LIZENZ}
  <p style="margin: 20px; font-weight: bold;">
    Sie nutzen derzeit die laufzeitbegrenzte Demoversion des Plugins. Bestellen Sie hier einen Lizenzschl&uuml;ssel f&uuml;r die unbegrenzte Nutzung:<br />
    <a href="https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html" target="_blank">https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html</a>
  </p>
{/if}
<form method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=Import-Einstellungen" name="plugin_configuration">
  <h2>Zahlungsarten zuordnen</h2>
  <table style="cellpadding: 2px; cellspacing: 2px;" summary="Zahlungsarten zuweisen" class="list table table-bordered">
    <thead>
      <tr>
        <th>Shopgate-Zahlungsart</th>
        <th>Shop-Zahlungsart</th>
        <th>eigene Bezeichnung verwenden</th>
        <th>als bezahlt markieren</th>
      </tr>
    </thead>
    {foreach name=wrapper item=aZGruppe key=cKeyGruppe from=$aShopgateZahlartenGruppen}
    <tbody>
      <tr><th colspan="4">{$aZGruppe.name}</th></tr>
      {foreach name=zaWrapper item=cKeyZahlart from=$aZGruppe.methods}
      <tr>
        <td>{if $aShopgateZahlarten.$cKeyZahlart.name !='' }{$aShopgateZahlarten.$cKeyZahlart.name}{else}{$cKeyZahlart}{/if}</td>
        <td>
          <select name="inputZahlart_{$cKeyZahlart}">
            {foreach name=shopZaWrapper item=option from=$aZahlarten}
              <option value="{$option.kZahlungsart}" {if $option.kZahlungsart == $aShopgateZahlarten.$cKeyZahlart.id} selected="selected" {/if}>{$option.cName}</option>
            {/foreach}
          </select>
        </td>
        <td><input type="text" id="inputZahlartName_{$cKeyZahlart}" name="inputZahlartName_{$cKeyZahlart}" size="30" maxlength="64" value="{$aShopgateZahlarten.$cKeyZahlart.useName}" /></td>
        <td><input type="checkbox" id="inputZahlartPayed_{$cKeyZahlart}" name="inputZahlartPayed_{$cKeyZahlart}" {if $aShopgateZahlarten.$cKeyZahlart.isPayed}checked="checked"{/if} /></td>
      </tr>
      {/foreach}
    </tbody>
    {/foreach}
  </table>
  <h3>Shopgate-Zahlungsarten</h3>
  <p>Ordnen Sie hier die genutzten Shopgate-Zahlungsarten &quot;Shopgate (xxx)&quot; Ihren Shop-Zahlarten zu!</p>
  <ol>
    <li>Tragen Sie je Zeile den von Shopgate &uuml;bergebenen Name der Zahlungsart ein.</li>
    <li>Dahinter geben Sie zwei Doppelpunkte &quot;::&quot; ein.</li>
    <li>Hinter den Doppelpunkten geben Sie den Namen ein, der in Ihre Wawi &uuml;bertragen werden soll.</li>
    <li>Anschlie&szlig;end geben Sie wieder 2 Doppelpunkte ein &quot;::&quot;.</li>
    <li>Nach den Doppelpunkten geben Sie mit einer 1 oder 0 an, ob die Bestellung als &quot;bezahlt&quot; markiert werden soll.</li>
  </ol>
  <p>Beispiel:</p>
  <pre>
  Shopgate (Rechnung)::Rechnung::1
  Shopgate (Kreditkarte)::Kreditkarte::0
  </pre>
  <strong>Ihre Zurodnung:</strong>
  <textarea name="inputPaymentRelationSG" id="inputPaymentRelationSG" rows="5" style="width: 100%">{$valuePaymentRelationSG}</textarea><br /><hr />
  
  <h2>weitere Einstellungen</h2>
  <table style="cellpadding: 5px; cellspacing: 5px;" summary="Konfiguration" class="list table table-bordered">
    <tbody>
      <tr>
        <td>
          <label for="inputUseSgNumber">{$titleUseSgNumber}</label>
        </td>
        <td>
          <select name="inputUseSgNumber" id="inputUseSgNumber">
            <option value="no" {if $valueUseSgNumber == 'no'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueUseSgNumber == 'yes'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrUseSgNumber}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputAddSgNumberToComment">{$titleAddSgNumberToComment}</label>
        </td>
        <td>
          <select name="inputAddSgNumberToComment" id="inputAddSgNumberToComment">
            <option value="Y" {if $valueAddSgNumberToComment == 'Y'} selected="selected" {/if}>Ja</option>
            <option value="N" {if $valueAddSgNumberToComment == 'N'} selected="selected" {/if}>Nein</option>
          </select>
        </td>
        <td>
          {$descrAddSgNumberToComment}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNumberPrefix">{$titleNumberPrefix}</label>
        </td>
        <td>
          <input type="text" id="inputNumberPrefix" name="inputNumberPrefix" size="20" maxlength="5" value="{$valueNumberPrefix}" />
        </td>
        <td>
          {$descrNumberPrefix}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNumberSuffix">{$titleNumberSuffix}</label>
        </td>
        <td>
          <input type="text" id="inputNumberSuffix" name="inputNumberSuffix" size="20" maxlength="5" value="{$valueNumberSuffix}" />
        </td>
        <td>
          {$descrNumberSuffix}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputSendOrderConfirmation">{$titleSendOrderConfirmation}</label>
        </td>
        <td>
          <input type="checkbox" name="inputSendOrderConfirmation" id="inputSendOrderConfirmation" {if $valueSendOrderConfirmation == 'Y'} checked="checked" {/if} />
        </td>
        <td>
          {$descrSendOrderConfirmation}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputGuthabenverrechnung">{$titleGuthabenverrechnung}</label>
        </td>
        <td>
          <input type="checkbox" name="inputGuthabenverrechnung" id="inputGuthabenverrechnung" {if $valueGuthabenverrechnung == 'Y'} checked="checked" {/if} />
        </td>
        <td>
          {$descrGuthabenverrechnung}
        </td>
      </tr>
    </tbody>
  </table>
  <div class="save_wrapper">
    <input type="submit" name="btn_save" value="Speichern" class="button orange" />
  </div>
</form>