<?php
// Variablen die bei jedem Plugin existieren
// $GLOBALS['smarty']               Smarty Template Engine Object
// $GLOBALS['oPlugin']              Plugin Object
global $smarty, $oPlugin;

$aOptions = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `xplugin_".$oPlugin->cPluginID."_config` ORDER BY `cKey`", 9);
foreach ($aRes as $row)
{
  $aOptions[$row['cKey']] = $row['cValue'];
}
$shopgateZahlarten = empty($aOptions['payment_relation']) ? array() : unserialize($aOptions['payment_relation']);

$aZahlarten = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT `kZahlungsart`, `cName` FROM `tzahlungsart` ORDER BY `kZahlungsart`", 9);
foreach ($aRes as $row)
{
  $aZahlarten[$row['kZahlungsart']] = $row;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['btn_save']))
{
  $newShopgateZahlarten = $shopgateZahlarten;
  foreach ($shopgateZahlarten as $key => $row)
  {
    if (isset($_POST['connectZahlart_'.$key]) && array_key_exists($_POST['connectZahlart_'.$key], $aZahlarten))
    {
      $newShopgateZahlarten[$key]['id'] = (int) $_POST['connectZahlart_'.$key];
    }
  }
  $GLOBALS["DB"]->executeQuery(
    "UPDATE `xplugin_".$oPlugin->cPluginID."_config`
    SET 
      `cValue`='".serialize($newShopgateZahlarten)."' 
    WHERE 
      `cKey` = 'payment_relation'", 
    10
  );
  $shopgateZahlarten = $newShopgateZahlarten;
  
  if (isset($_POST['kUseSgNumber']) && !empty($_POST['kUseSgNumber']))
  {
    $tmp = $_POST['kUseSgNumber'] == 'yes' ? 'yes' : 'no';
    $GLOBALS["DB"]->executeQuery(
      "UPDATE `xplugin_".$oPlugin->cPluginID."_config`
      SET 
        `cValue`='$tmp' 
      WHERE 
        `cKey` = 'use_sg_number'", 
      10
    );
    $aOptions['use_sg_number'] = $tmp;
  }
  if (isset($_POST['kNumberSuffix']))
  {
    $tmp = (string)$_POST['kNumberSuffix'];
    $tmp = trim($tmp);
    $GLOBALS["DB"]->executeQuery(
      "UPDATE `xplugin_".$oPlugin->cPluginID."_config`
      SET 
        `cValue`='$tmp' 
      WHERE 
        `cKey` = 'number_suffix'", 
      10
    );
    $aOptions['number_suffix'] = $tmp;
  }
  if (isset($_POST['kNumberPrefix']))
  {
    $tmp = (string)$_POST['kNumberPrefix'];
    $tmp = trim($tmp);
    $GLOBALS["DB"]->executeQuery(
      "UPDATE `xplugin_".$oPlugin->cPluginID."_config`
      SET 
        `cValue`='$tmp' 
      WHERE 
        `cKey` = 'number_prefix'", 
      10
    );
    $aOptions['number_prefix'] = $tmp;
  }
}



$smarty->assign('aZahlarten', $aZahlarten);
$smarty->assign('aShopgateZahlarten', $shopgateZahlarten);

$smarty->assign('kUseSgNumber', $aOptions['use_sg_number']);
$smarty->assign('cUseSgNumber', 'Shopgate-Bestellnummer');
$smarty->assign('dUseSgNumber', 'M&ouml;chten Sie die Shopgate-Bestellnummer anstelle der Shop-Bestellnummer verwenden?');

$smarty->assign('kNumberPrefix', $aOptions['number_prefix']);
$smarty->assign('cNumberPrefix', 'Bestellnummer-Pr&auml;fix');
$smarty->assign('dNumberPrefix', 'Diese Zeichen werden der Bestellnummer vorangestellt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('kNumberSuffix', $aOptions['number_suffix']);
$smarty->assign('cNumberSuffix', 'Bestellnummer-Suffix');
$smarty->assign('dNumberSuffix', 'Diese Zeichen werden an die Bestellnummer angef&uuml;gt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign("URL_SHOP", URL_SHOP);
$smarty->assign("URL_ADMINMENU", URL_SHOP . "/" . PFAD_PLUGIN . $oPlugin->cVerzeichnis . "/" . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . "/" . PFAD_PLUGIN_ADMINMENU);
//$smarty->assign("stepPlugin", $stepPlugin);
print_r($smarty->fetch($oPlugin->cAdminmenuPfad . "template/more_config.tpl"));
?>