<?php
// Variablen die bei jedem Plugin existieren
// $GLOBALS['smarty']               Smarty Template Engine Object
// $GLOBALS['oPlugin']              Plugin Object
global $smarty, $oPlugin;
$loadOptions = array('payment_relation','use_sg_number','number_suffix','number_prefix','cSendOrderConfirmation','cGuthabenverrechnung');
$sLoadOptions = '';
foreach ($loadOptions as $value)
  $sLoadOptions .= empty($sLoadOptions) ? "'".$value."'" : ",'".$value."'";
  
require_once $oPlugin->cAdminmenuPfad . 'lib/functions.lib.php';

$aOptions = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT * FROM `xplugin_".$oPlugin->cPluginID."_config` WHERE `cKey` IN ($sLoadOptions) ORDER BY `cKey`", 9);
foreach ($aRes as $row)
{
  $aOptions[$row['cKey']] = $row['cValue'];
}
$shopgateZahlarten = empty($aOptions['payment_relation']) ? array() : unserialize($aOptions['payment_relation']);

$aZahlarten = array();
$aRes = $GLOBALS["DB"]->executeQuery("SELECT `kZahlungsart`, `cName` FROM `tzahlungsart` ORDER BY `kZahlungsart`", 9);
foreach ($aRes as $row)
{
  $aZahlarten[$row['kZahlungsart']] = $row;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['btn_save']))
{
  $newShopgateZahlarten = $shopgateZahlarten;
  foreach ($shopgateZahlarten as $key => $row)
  {
    if (isset($_POST['inputZahlart_'.$key]) && array_key_exists($_POST['inputZahlart_'.$key], $aZahlarten))
    {
      $newShopgateZahlarten[$key]['id'] = (int) $_POST['inputZahlart_'.$key];
    }
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'payment_relation', serialize($newShopgateZahlarten));
  $shopgateZahlarten = $newShopgateZahlarten;
  
  if (isset($_POST['inputUseSgNumber']) && !empty($_POST['inputUseSgNumber']))
  {
    $tmp = $_POST['inputUseSgNumber'] == 'yes' ? 'yes' : 'no';
    agi_plugin_saveConfig($oPlugin->cPluginID, 'use_sg_number', $tmp);
    $aOptions['use_sg_number'] = $tmp;
  }
  if (isset($_POST['inputNumberSuffix']))
  {
    $tmp = (string)$_POST['inputNumberSuffix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_suffix', $tmp);
    $aOptions['number_suffix'] = $tmp;
  }
  if (isset($_POST['inputNumberPrefix']))
  {
    $tmp = (string)$_POST['inputNumberPrefix'];
    $tmp = trim($tmp);
    agi_plugin_saveConfig($oPlugin->cPluginID, 'number_prefix', $tmp);
    $aOptions['number_prefix'] = $tmp;
  }
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cSendOrderConfirmation', isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N');
  $aOptions['cSendOrderConfirmation'] = isset($_POST['inputSendOrderConfirmation']) ? 'Y' : 'N';
  agi_plugin_saveConfig($oPlugin->cPluginID, 'cGuthabenverrechnung', isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N');
  $aOptions['cGuthabenverrechnung'] = isset($_POST['inputGuthabenverrechnung']) ? 'Y' : 'N';
}


$smarty->assign('aZahlarten', $aZahlarten);
$smarty->assign('aShopgateZahlarten', $shopgateZahlarten);

$smarty->assign('valueUseSgNumber', $aOptions['use_sg_number']);
$smarty->assign('titleUseSgNumber', 'Shopgate-Bestellnummer');
$smarty->assign('descrUseSgNumber', 'M&ouml;chten Sie die Shopgate-Bestellnummer anstelle der Shop-Bestellnummer verwenden?');

$smarty->assign('valueNumberPrefix', $aOptions['number_prefix']);
$smarty->assign('titleNumberPrefix', 'Bestellnummer-Pr&auml;fix');
$smarty->assign('descrNumberPrefix', 'Diese Zeichen werden der Bestellnummer vorangestellt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueNumberSuffix', $aOptions['number_suffix']);
$smarty->assign('titleNumberSuffix', 'Bestellnummer-Suffix');
$smarty->assign('descrNumberSuffix', 'Diese Zeichen werden an die Bestellnummer angef&uuml;gt, um die Bestellung als Shopgate-Bestellung zu kennzeichnen.');

$smarty->assign('valueSendOrderConfirmation', $aOptions['cSendOrderConfirmation']);
$smarty->assign('titleSendOrderConfirmation', 'Bestellbest&auml;tigung versenden');
$smarty->assign('descrSendOrderConfirmation', 'Soll dem Kunden die Shop-Bestellbest&auml;tigung gesendet werden?');

$smarty->assign('valueGuthabenverrechnung', $aOptions['cGuthabenverrechnung']);
$smarty->assign('titleGuthabenverrechnung', 'Kundenguthaben verrechnen');
$smarty->assign('descrGuthabenverrechnung', 'Wenn aktiviert, werden vorhandene Kundenguthaben in Form eines Gutscheinens dem Shopgate-Warenkorb hinzugef&uuml;gt. Der Gutschein kann vom Kunden nicht entfernt werden.');

$test_lizenz = false;
if (empty($oPlugin->cLizenz) || strtolower($oPlugin->cLizenz) == 'test')
  $test_lizenz = true;
$smarty->assign('IS_TEST_LIZENZ', $test_lizenz);

$smarty->assign("URL_SHOP", URL_SHOP);
$smarty->assign("URL_ADMINMENU", URL_SHOP . "/" . PFAD_PLUGIN . $oPlugin->cVerzeichnis . "/" . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . "/" . PFAD_PLUGIN_ADMINMENU);
//$smarty->assign("stepPlugin", $stepPlugin);
print_r($smarty->fetch($oPlugin->cAdminmenuPfad . "template/import_config.tpl"));
?>