{if $IS_TEST_LIZENZ}
  <p style="margin: 20px; font-weight: bold;">
    Sie nutzen derzeit die laufzeitbegrenzte Demoversion des Plugins. Bestellen Sie hier einen Lizenzschl&uuml;ssel f&uuml;r die unbegrenzte Nutzung:<br />
    <a href="https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html" target="_blank">https://www.andreas-guder.de/bestelle-jtlshop-shopgate-lizenz.html</a>
  </p>
{/if}
<form method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}&cPluginTab=Export-Einstellungen" name="plugin_configuration">
  <table style="cellpadding: 5px; cellspacing: 5px;" summary="Konfiguration" class="list table table-bordered">
    <tbody>
      <tr>
        <td>
          <label for="inputStandardVersandklasse">{$titleStandardVersandklasse}</label>
        </td>
        <td>
          <select name="inputStandardVersandklasse" id="inputStandardVersandklasse">
            {foreach name=wrapper item=option from=$aVersandklassen}
              <option value="{$option.kVersandklasse}" {if $valueStandardVersandklasse == $option.kVersandklasse} selected="selected" {/if}>{$option.cName}</option>
            {/foreach}
          </select>
        </td>
        <td>
          {$descrStandardVersandklasse}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNehmeLieferzeit">{$titleNehmeLieferzeit}</label>
        </td>
        <td>
          <select name="inputNehmeLieferzeit" id="inputNehmeLieferzeit">
            <option value="status" {if $valueNehmeLieferzeit == 'status'} selected="selected" {/if}>Lieferstatus</option>
            <option value="zeit" {if $valueNehmeLieferzeit == 'zeit'} selected="selected" {/if}>erwartete Lieferzeit</option>
            <option value="kombistatuszeit" {if $valueNehmeLieferzeit == 'kombistatuszeit'} selected="selected" {/if}>Kombination: Lieferstatus, Lieferzeit</option>
            <option value="kombiampelstatuszeit" {if $valueNehmeLieferzeit == 'kombiampelstatuszeit'} selected="selected" {/if}>Kombination: Ampeltext, Lieferstatus, Lieferzeit</option>
            <option value="ampel" {if $valueNehmeLieferzeit == 'ampel'} selected="selected" {/if}>Ampeltext</option>
          </select>
        </td>
        <td>
          {$descrNehmeLieferzeit}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputTopArticleAsHighlight">{$titleTopArticleAsHighlight}</label>
        </td>
        <td>
          <select name="inputTopArticleAsHighlight" id="inputTopArticleAsHighlight">
            <option value="no" {if $valueTopArticleAsHighlight == 'N'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueTopArticleAsHighlight == 'Y'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrTopArticleAsHighlight}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputInaktivStatusString">{$titleInaktivStatusString}</label>
        </td>
        <td>
          <input type="text" id="inputInaktivStatusString" name="inputInaktivStatusString" size="20" maxlength="256" value="{$valueInaktivStatusString}" />
        </td>
        <td>
          {$descrInaktivStatusString}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputAttributeAnBeschreibung">{$titleAttributeAnBeschreibung}</label>
        </td>
        <td>
          <input type="text" id="inputAttributeAnBeschreibung" name="inputAttributeAnBeschreibung" size="20" value="{$valueAttributeAnBeschreibung}" />
        </td>
        <td>
          {$descrAttributeAnBeschreibung}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputWrapAttributeAnBeschreibung">{$titleWrapAttributeAnBeschreibung}</label>
        </td>
        <td>
          <input type="text" id="inputWrapAttributeAnBeschreibung" name="inputWrapAttributeAnBeschreibung" size="20" value="{$valueWrapAttributeAnBeschreibung}" />
        </td>
        <td>
          {$descrWrapAttributeAnBeschreibung}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputAttributNichtExportieren">{$titleAttributNichtExportieren}</label>
        </td>
        <td>
          <input type="text" id="inputAttributNichtExportieren" name="inputAttributNichtExportieren" size="20" value="{$valueAttributNichtExportieren}" />
        </td>
        <td>
          {$descrAttributNichtExportieren}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputMerkmaleNichtExportieren">{$titleMerkmaleNichtExportieren}</label>
        </td>
        <td>
          <input type="text" id="inputMerkmaleNichtExportieren" name="inputMerkmaleNichtExportieren" size="20" value="{$valueMerkmaleNichtExportieren}" />
        </td>
        <td>
          {$descrMerkmaleNichtExportieren}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputBestandspuffer">{$titleBestandspuffer}</label>
        </td>
        <td>
          <input type="text" id="inputBestandspuffer" name="inputBestandspuffer" size="20" maxlength="64" value="{$valueBestandspuffer}" />
        </td>
        <td>
          {$descrBestandspuffer}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputSortArticle">{$titleSortArticle}</label>
        </td>
        <td>
          <select name="inputSortArticle" id="inputSortArticle">
            <option value="nSort" {if $valueSortArticle == 'nSort'} selected="selected" {/if}>Artikelvorgabe</option>
            <option value="cName" {if $valueSortArticle == 'cName'} selected="selected" {/if}>Artikelname</option>
            <option value="dErstellt" {if $valueSortArticle == 'dErstellt'} selected="selected" {/if}>Artikel angelegt</option>
            <option value="dLetzteAktualisierung" {if $valueSortArticle == 'dLetzteAktualisierung'} selected="selected" {/if}>Artikel aktualisiert</option>
          </select>
          <select name="inputSortArticleOrder" id="inputSortArticleOrder">
            <option value="ASC" {if $valueSortArticleOrder == 'ASC'} selected="selected" {/if}>Aufsteigend</option>
            <option value="DESC" {if $valueSortArticleOrder == 'DESC'} selected="selected" {/if}>Absteigend</option>
          </select>
        </td>
        <td>
          {$descrSortArticle}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputTopAtFirst">{$titleTopAtFirst}</label>
        </td>
        <td>
          <select name="inputTopAtFirst" id="inputTopAtFirst">
            <option value="no" {if $valueTopAtFirst == 'N'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueTopAtFirst == 'Y'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrTopAtFirst}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputActivateKonfigurator">{$titleActivateKonfigurator}</label>
        </td>
        <td>
          <select name="inputActivateKonfigurator" id="inputActivateKonfigurator">
            <option value="no" {if $valueActivateKonfigurator == 'N'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueActivateKonfigurator == 'Y'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrActivateKonfigurator}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputActivateCatNewArticle">{$titleActivateCatNewArticle}</label>
        </td>
        <td>
          <select name="inputActivateCatNewArticle" id="inputActivateCatNewArticle">
            <option value="no" {if $valueActivateCatNewArticle == 'N'} selected="selected" {/if}>Nein</option>
            <option value="yes" {if $valueActivateCatNewArticle == 'Y'} selected="selected" {/if}>Ja</option>
          </select>
        </td>
        <td>
          {$descrActivateCatNewArticle}
        </td>
      </tr>
      <tr>
        <td>
          <label for="inputNameCatNewArticle">{$titleNameCatNewArticle}</label>
        </td>
        <td>
          <input type="text" id="inputNameCatNewArticle" name="inputNameCatNewArticle" size="20" maxlength="64" value="{$valueNameCatNewArticle}" />
        </td>
        <td>
          {$descrNameCatNewArticle}
        </td>
      </tr>
    </tbody>
  </table>
  <div class="save_wrapper">
    <input type="submit" name="btn_save" value="Speichern" class="button orange" />
  </div>
</form>