<?php
$sgConfigurationFound = false;
$tmp = $GLOBALS["DB"]->executeQuery(
  "SELECT `cValue` FROM `xplugin_agi_shopgate_plugin_config` WHERE `cKey`='sgRedirectActive'",
  1
);
if ($tmp && $tmp->cValue == 'Y')
{
  // Shop 4
  if (JTL_VERSION >= 400)
  {
    $agi_frontent_conf = array(
      'cISO'          => Shop::getLanguage(true),
      'AktuelleSeite' => Shop::$AktuelleSeite,
      'kKategorie'    => Shop::$kKategorie,
      'kArtikel'      => Shop::$kArtikel
    );
    $jtl_to_page = 'no';
    if ($agi_frontent_conf['kKategorie'] > 0 || $agi_frontent_conf['kArtikel'] > 0)
    {
      if ($agi_frontent_conf['kArtikel'] > 0)
        $jtl_to_page = 'article';
      elseif ($agi_frontent_conf['kKategorie'] > 0)
        $jtl_to_page = 'category';
      elseif ($agi_frontent_conf['AktuelleSeite']=="STARTSEITE")
        $jtl_to_page = 'start'; // in 405 nicht mehr untersttzt
      else
        $jtl_to_page = 'default';
    }
    else {
      $aStartseite = array(PAGE_STARTSEITE,PAGE_SITEMAP,PAGE_404);
      $aNoRedirect = array(PAGE_UNBEKANNT,PAGE_WRB,PAGE_PLUGIN,PAGE_BESTELLABSCHLUSS,PAGE_RMA,PAGE_MEDIA,PAGE_MAX,PAGE_GRATISGESCHENK);
      if (in_array(shop::getPageType(),$aStartseite))
        $jtl_to_page = 'start';
      elseif (!in_array(shop::getPageType(),$aNoRedirect))
        $jtl_to_page = 'default';
    }
  }
  else
  {
    // Shop 3
    $agi_frontent_conf = array(
      'cISO'          => (!empty($GLOBALS['smarty']->_tpl_vars['lang']) && !is_array($GLOBALS['smarty']->_tpl_vars['lang'])) ? $GLOBALS['smarty']->_tpl_vars['lang'] : 'ger',
      'AktuelleSeite' => $GLOBALS['smarty']->_tpl_vars['AktuelleSeite'],
      'kKategorie'    => 0,
      'kArtikel'      => $GLOBALS['smarty']->_tpl_vars['Artikel']->kArtikel
    );
    if (array_key_exists('NaviFilter', $GLOBALS['smarty']->_tpl_vars))
    {
      $smartyNaviFilter = $GLOBALS['smarty']->_tpl_vars['NaviFilter'];
      if (isset($smartyNaviFilter->Kategorie->kKategorie) && $smartyNaviFilter->Kategorie->kKategorie > 0)
        $agi_frontent_conf['kKategorie'] = $smartyNaviFilter->Kategorie->kKategorie;
    }
    
    if ($agi_frontent_conf['AktuelleSeite']=="ARTIKEL" || $agi_frontent_conf['AktuelleSeite']=="STARTSEITE" || ($agi_frontent_conf['AktuelleSeite']=="PRODUKTE" && $agi_frontent_conf['kKategorie'] > 0))
    {
      if ($agi_frontent_conf['AktuelleSeite']=="ARTIKEL")
        $jtl_to_page = 'article';
      elseif ($agi_frontent_conf['AktuelleSeite']=="PRODUKTE" && $agi_frontent_conf['kKategorie'] > 0)
        $jtl_to_page = 'category';
      elseif ($agi_frontent_conf['AktuelleSeite']=="STARTSEITE")
        $jtl_to_page = 'start';
      else
        $jtl_to_page = 'default';
    }
    
  }
  
  $tmp = $GLOBALS["DB"]->executeQuery(
    "SELECT `kSprache` FROM `tsprache` WHERE `cISO`='".$agi_frontent_conf['cISO']."'",
    1
  );
  if ($tmp)
  {
    $kSprache = $tmp->kSprache;
    $tmp = $GLOBALS["DB"]->executeQuery(
      "SELECT `cValue` FROM `xplugin_agi_shopgate_plugin_config` WHERE `cKey`='sgLanguagesToShops'",
      1
    );
    if ($tmp)
    {
      if (!empty($tmp->cValue))
      {
        $data = unserialize($tmp->cValue);
        if (array_key_exists($kSprache, $data))
        {
          $sgShopnumber = $data[$kSprache];
          $sgConfigurationFound = true;
        }
      }
    }
  }
  if ($sgConfigurationFound)
  {
    if (!defined('DS')) define('DS', '/');
    require_once(PFAD_ROOT . 'shopgate_library/shopgate.php');
    
    $sg_config = new ShopgateConfig(); 
    $sg_config->loadByShopNumber((int) $sgShopnumber);
    $shopgateBuilder = new ShopgateBuilder($sg_config);
    $shopgateRedirector = $shopgateBuilder->buildRedirect();
    
    $string = '';
    if ($jtl_to_page!='no')
    {
      if ($jtl_to_page == 'article')
      {
        $string = $shopgateRedirector->buildScriptItem($agi_frontent_conf['kArtikel']);
      }
      elseif ($jtl_to_page == 'category')
      {
        $string = $shopgateRedirector->buildScriptCategory($agi_frontent_conf['kKategorie']);
      }
      elseif ($jtl_to_page == 'start')
      {
        $string = $shopgateRedirector->buildScriptShop();
      }
      else
        $string = $shopgateRedirector->buildScriptDefault();
    }
    pq('head')->append($string);
  }
}
?>