<?php
/* agi_shopgate_plugin.php
.---------------------------------------------------------------------------.
|    Software: AGI Shopgate - JTL - Connector                               |
|     Version: 2.0                                                          |
|        Date: 2014-09-15                                                   |
|     Contact: info@andreas-guder.de                                        |
| ------------------------------------------------------------------------- |
|      Author: Andreas Guder                                                |
|     Contact: info@andreas-guder.de                                        |
| Copyright (c) 2013 Andreas Guder [info@andreas-guder.de]                  |
|               All Rights Reserved.                                        |
'--------------------------------------------------------------------------'
*/
ini_set('date.timezone', 'Europe/Berlin');
$base = stristr(dirname(__FILE__),'\\') ? substr(dirname(__FILE__),0,strrpos(dirname(__FILE__),'\\')) : substr(dirname(__FILE__),0,strrpos(dirname(__FILE__),'/'));
define('DIR_BASE_PATH', $base);
define("PRES_CLIENT_IP", @$_SERVER["SERVER_ADDR"]);
define("AGI_DEBUGGING", false);
define("SG_DEBUG_LOGGING", false);

// require JTL-Functions
//define('JTL_INCLUDE_ONLY_DB', FALSE);
require_once DIR_BASE_PATH.'/includes/globalinclude.php';
require_once DIR_BASE_PATH.'/includes/bestellabschluss_inc.php';

// welche Version ist installiert?
// lade Plugin-Versionsnummer aus der Datenbank um die richtige Datei zu finden
$oPlugin = $GLOBALS["DB"]->executeQuery(
  "SELECT * FROM `tplugin` WHERE `cPluginID`='agi_shopgate_plugin'",
  1
);
if ($oPlugin)
{
  if (isset($_GET['clizenz']) && $_GET['clizenz'] == $oPlugin->cLizenz) {
    var_dump($oPlugin->nStatus);
    echo chr(10).'PHP : '.phpversion();
    exit;
  }
  if ($oPlugin->nStatus > 1)
  {
    define('AGI_PLUGIN_PATH', DIR_BASE_PATH.'/'.PFAD_PLUGIN.'agi_shopgate_plugin/version/'.$oPlugin->nVersion.'/');
    define('AGI_PLUGIN_VERSION',$oPlugin->nVersion);
    define('AGI_PLUGIN_LICENCE',$oPlugin->cLizenz);
    
    if (file_exists(AGI_PLUGIN_PATH.'api_plugin.php'))
    {
      if (AGI_DEBUGGING)
        require DIR_BASE_PATH.'/'.PFAD_PLUGIN.'agi_shopgate_plugin/errorhandling.lib.php';
      require AGI_PLUGIN_PATH.'api_plugin.php';
    }
    else
      echo '{"error_text":"JTL-Plugin file not found","error":999,"trace_id":"'.((isset($_REQUEST['trace_id']) && !empty($_REQUEST['trace_id'])) ? $_REQUEST['trace_id'] : '').'"}';
  }
  else
    echo '{"error_text":"JTL-Plugin not activated","error":999,"trace_id":"'.((isset($_REQUEST['trace_id']) && !empty($_REQUEST['trace_id'])) ? $_REQUEST['trace_id'] : '').'"}';
}
else
  echo '{"error_text":"JTL-Plugin not installed","error":999,"trace_id":"'.((isset($_REQUEST['trace_id']) && !empty($_REQUEST['trace_id'])) ? $_REQUEST['trace_id'] : '').'"}';
?>